require "import"
import "android.content.Intent"
import "android.content.IntentFilter"
import "android.widget.Toast"
import "com.androlua.Ticker"
import "java.time.Period"

function toast()
  Toast.makeText(service,"电池监控已停止运行",Toast.LENGTH_SHORT ).show()
end

if Qishao1 then
  Qishao1.stop()
  Qishao1 = nil
  toast()
  return true
 elseif Qishao2 then
  Qishao2.stop()
  Qishao2 = nil
  toast()
  return true
 elseif Qishao3 then
  Qishao3.stop()
  Qishao3 = nil
  toast()
  return true
end

Qishao1 = Ticker()
Qishao1.Period=5000
Qishao1.onTick=function()
  local battery = this.registerReceiver(nil,IntentFilter(Intent.ACTION_BATTERY_CHANGED))
  local status = battery.getIntExtra("status",-1)
  local power = battery.getIntExtra("level", -1)
  if power <= 20 and status ~= 2 then
    Toast.makeText(service,"【警告】电池电量剩余 "..power.."%，请及时充电！",Toast.LENGTH_SHORT ).show()
    Qishao1.stop()
    Qishao1 = nil
    Qishao2.start()
  end
  return true
end
Qishao2 = Ticker()
Qishao2.Period=5000
Qishao2.onTick=function()
  local battery = this.registerReceiver(nil,IntentFilter(Intent.ACTION_BATTERY_CHANGED))
  local status = battery.getIntExtra("status",-1)
  local power = battery.getIntExtra("level", -1)
  if power <= 10 and status ~= 2 then
    Toast.makeText(service,"【警告】电池电量剩余 "..power.."%，请及时充电！",Toast.LENGTH_SHORT ).show()
    Qishao2.stop()
    Qishao2 = nil
    Qishao3.start()
  end
  return true
end
Qishao3 = Ticker()
Qishao3.Period=5000
Qishao3.onTick=function()
  local battery = this.registerReceiver(nil,IntentFilter(Intent.ACTION_BATTERY_CHANGED))
  local status = battery.getIntExtra("status",-1)
  local power = battery.getIntExtra("level", -1)
  if power <= 5 and status ~= 2 then
    Toast.makeText(service,"【警告】电池电量剩余 "..power.."%，请及时充电！",Toast.LENGTH_SHORT ).show()
    Qishao3.stop()
    Qishao3 = nil
    Qishao1.start()
  end
  return true
end

Qishao1.start()
Toast.makeText(service,"电池监控正在运行",Toast.LENGTH_SHORT ).show()
return true